Subject: ADB tablet driver

From: Timothy Wall <[email-masked]>
Date: Sat, 03 Jul 1999 12:15:15 -0400

Here's a rudimentary driver which provides basic tablet info to the read
(on /dev/adbtablet) and /proc/adbtablet interfaces.  It's installable as
a module, but don't try to remove it, or the ADB subsys will hang
(there's not yet a method for unregistering ADB handlers).  This was
built for 2.2.X kernels, but will probably run under older ones with
only minor mods.

This can easily be expanded to accomodate other ADB tablets, given the
appropriate data formats.

An added bonus is that it tells you all the default information for any
other ADB devices on your system (dev ID, handler ID, etc).  Useful for
getting the handler ID for non-apple mice.

When I get some time I'll integrate this into the X server...

Tim Wall